import { SideBarThemeColor, SideBarTheme, MultiTabTheme } from '@oinone/kunlun-engine';
export declare const hostImage: () => string;
export declare const lightMode: () => string;
export declare const darkMode: () => string;
interface ReturnValue<T> {
    style: T;
    image: string;
    title: string;
}
declare class SystemThemeConfig {
    private static generateImages;
    private static generateLayoutConfig;
    private static menuColorConfig;
    private static sideBarConfig;
    private static TabConfig;
    get previewImages(): {
        "dark-large": string;
        "dark-medium": string;
        "dark-small": string;
        "default-large": string;
        "default-medium": string;
        "default-small": string;
    };
    get defaultMenuColors(): ReturnValue<SideBarThemeColor>[];
    get darkMenuColors(): ReturnValue<SideBarThemeColor>[];
    get DefaultSideBarThemes(): ReturnValue<SideBarTheme>[];
    get darkSideBarThemes(): ReturnValue<SideBarTheme>[];
    defaultMultiTabThemes(inline?: boolean): ReturnValue<MultiTabTheme>[];
    darkMultiTabThemes(inline?: boolean): ReturnValue<MultiTabTheme>[];
}
export declare const localSystemTheme: SystemThemeConfig;
export {};
